View Issue Details

IDProjectCategoryView StatusLast Update
0006569Talerwallet (TS core)public2021-08-24 16:23
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006569: (re-)design, implement and test "return wallet to bank account" feature
DescriptionWe first need a proper wallet-core API.

Christian suggested that the wallet should be able to scan payto:// QR codes, and then the wallet's funds can be send to that account via a normal deposit.

We also need to review and document the general user experience for this feature.
TagsNo tags attached.

Activities

Florian Dold

2020-12-07 19:00

manager   ~0017165

Christian's suggestion for a cheap-to-implement version of this: Allow scanning a payto:// URI and then selecting money to send to it.

Florian Dold

2021-01-18 23:37

manager   ~0017371

This is now implemented via the wallet-core deposits API.

What's still missing are the UI parts.

Issue History

Date Modified Username Field Change
2020-09-04 12:59 Florian Dold New Issue
2020-09-04 12:59 Florian Dold Status new => assigned
2020-09-04 12:59 Florian Dold Assigned To => Florian Dold
2020-09-11 22:55 Christian Grothoff Severity minor => feature
2020-12-07 19:00 Florian Dold Note Added: 0017165
2021-01-18 23:37 Florian Dold Note Added: 0017371
2021-01-18 23:39 Florian Dold Status assigned => resolved
2021-01-18 23:39 Florian Dold Resolution open => fixed
2021-07-30 13:56 Christian Grothoff Fixed in Version => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed